Bug 1254757 - [abrt] hplip-gui: logger.py:206:log_to_file:IOError: [Errno 28] ??????????? ????? ?? ????????
[abrt] hplip-gui: logger.py:206:log_to_file:IOError: [Errno 28] ??????????? ?...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3269ec03d543ae0d6c7d6570fcd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 15:09 EDT by Vitaliy Sapronenko
Modified: 2015-12-02 13:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:00:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (854 bytes, text/plain)
2015-08-18 15:10 EDT, Vitaliy Sapronenko
no flags Details
File: environ (3.48 KB, text/plain)
2015-08-18 15:10 EDT, Vitaliy Sapronenko
no flags Details

  None (edit)
Description Vitaliy Sapronenko 2015-08-18 15:09:57 EDT
Version-Release number of selected component:
hplip-gui-3.14.10-5.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/hp-doctor
dso_list:       hplip-3.14.10-5.fc21.x86_64
executable:     /usr/bin/hp-doctor
kernel:         4.0.8-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
logger.py:206:log_to_file:IOError: [Errno 28] ??????????? ????? ?? ????????

Traceback (most recent call last):
  File "/usr/bin/hp-doctor", line 291, in <module>
    num_errors, num_warns = core.validate(DEPENDENCY_RUN_AND_COMPILE_TIME, False)
  File "/usr/share/hplip/check.py", line 368, in validate
    tui.header(" General Dependencies")
  File "/usr/share/hplip/base/tui.py", line 136, in header
    log.info("")
  File "/usr/share/hplip/base/logger.py", line 292, in info
    self.log_to_file("%s[%d]: info: :%s" % (self.module, self.pid, message))
  File "/usr/share/hplip/base/logger.py", line 206, in log_to_file
    self._log_file_f.write(message.replace('\x1b', ''))
IOError: [Errno 28] ??????????? ????? ?? ????????

Local variables in innermost frame:
message: 'hp-doctor[2254]: info: :'
self: <base.logger.Logger object at 0x7fbe0eeac690>
Comment 1 Vitaliy Sapronenko 2015-08-18 15:10:00 EDT
Created attachment 1064424 [details]
File: backtrace
Comment 2 Vitaliy Sapronenko 2015-08-18 15:10:05 EDT
Created attachment 1064425 [details]
File: environ
Comment 3 Fedora End Of Life 2015-11-04 05:46:21 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:01:01 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.